Subject: RE: [midcom] Protocol Eval: 2.2.3 Ruleset Groups - COPS

From: "Cedric Aoun" <[email-masked]>
Date: Fri, 28 Jun 2002 08:50:43 +0200

Martin and Juergen,
I apologies I checked the COPS RFC, I was still thinking COPS-PR in my head
I should have
gone and checked in the COPS RFC before posting my mail %*$^ ... I don't
know why I thought
that the flag was inherited from COPS ...

You are perfectly right, 2.2.3 is met only by COPS-PR.
My apologies again.
Cedric
The following is quoted directly from RFC 3084 (COPS-PR) 4th paragraph of
Section 3.2:

   The DEC message can also be used by the PDP to command the PEP to
   open a new Request State or Delete an existing Request-State as
   identified by the Client-Handle.  To accomplish this, COPS-PR defines
   a new flag for the COPS Decision Flags object.  The flag 0x02 is to
   be used by COPS-PR client-types and is hereafter referred to as the
   "Request-State" flag.  An Install decision (Decision Flags: Command-
   Code=Install) with the Request-State flag set in the COPS Decision
   Flags object will cause the PEP to issue a new Request with a new
   Client Handle or else specify the appropriate error in a COPS Report
   message.  A Remove decision (Decision Flags: Command-Code=Remove)
   with the Request-State flag set in the COPS Decision Flags object
   will cause the PEP to send a COPS Delete Request State (DRQ) message
   for the Request-State identified by the Client Handle in the DEC
   message.  Whenever the Request-State flag is set in the COPS Decision
   Flags object in the DEC message, no COPS Named Decision Data object
   can be included in the corresponding decision (as it serves no
   purpose for this decision flag).  Note that only one decision with
   the Request-State flag can be present per DEC message, and, if
   present, this MUST be the only decision in that message.  As
   described below, the PEP MUST respond to each and every DEC with a
   corresponding solicited RPT.

-----Original Message-----
From: Juergen Quittek [mailto:[email-masked]]
Sent: 27 June 2002 16:57
To: Aoun, Cedric [QPD:MA01:EXCH]; 'Martin Stiemerling'; Barnes, Mary
[NGC:B602:EXCH]
Cc: [email-masked]
Subject: RE: [midcom] Protocol Eval: 2.2.3 Ruleset Groups - COPS

Cedric,

Thank you again for clarification. Now there is one one small piece
left that I still miss, because I am not familiar enough with COPS:

How does the PDP request the PEP to create a new COPS Handle?

    Juergen

--On 27 June 2002 16:21 +0200 Cedric Aoun <[email-masked]>
wrote:

>
> Juergen,
>
> The COPS RFC indicates that the handle is used as the reference to the
synchronized
> state between the PDP and PEP.  Both PDP and PEP can indicate changes to
> the content of the state by sending COPS messages between them in a
> synchronized transactional manner.
> The content of the state is not restricted by the protocol at all.
> Hence the protocol is flexible to be applied to meet the Midcom
requirements.
>
> The PDP can also request the PEP to create a new COPS Handle to be used
> if a new state is required.  Notice new Handles can only be created by the
PEP.
>
> I just noticed that I did a mistake in my previous posting:
> "the COPS PDP can requests a new state to be added under an existing
handle already allocated by the Middlebox."
> It should actually be "The COPS PDP can request a new property (or modify
an existing property) to be added under the state indexed by an existing
handle already allocated by the Middlebox"
>
> Cedric
>
> -----Original Message-----
> From: Juergen Quittek [mailto:[email-masked]]
> Sent: 27 June 2002 15:12
> To: Aoun, Cedric [QPD:MA01:EXCH]; 'Martin Stiemerling'; Barnes, Mary
> [NGC:B602:EXCH]
> Cc: [email-masked]
> Subject: RE: [midcom] Protocol Eval: 2.2.3 Ruleset Groups - COPS
>
> Cedric,
>
> Thank you for this clarification. I tried hard to find a
> statement on this in one of the COPS RFCs, but I failed.
>
> Can you give me a hint where to find information on how
> the COPS PDP issues such a request?
>
>     Juergen
>
> --On 27 June 2002 14:31 +0200 Cedric Aoun <[email-masked]>
wrote:
>
>>
>> Martin,
>> I disagree with you, the COPS PDP can requests a new state to be added
under an existing handle already allocated by the Middlebox.
>
>>
>> The COPS statement is accurate it should stay as is.
>> The agent is the decision point it doesn't beg for resources to be booked
or lights to get green ;)
>> Cedric
>>
>> -----Original Message-----
>> From: Martin Stiemerling [mailto:[email-masked]]
>> Sent: 26 June 2002 12:05
>> To: Barnes, Mary [NGC:B602:EXCH]
>> Cc: [email-masked]
>> Subject: Re: [midcom] Protocol Eval: 2.2.3 Ruleset Groups - COPS
>>
>> Mary Barnes wrote:
>>> Hi Martin,
>>>
>>> I don't understand your point, as the COPS description for 2.2.3
suggests
>>
>> Sorry for being so unspecific. Here is a more detailed description of
>> the problem:
>> The COPS RFC says, that handle states can be installed from the PEP at
>> the PDP. This means that the middlebox can install groups and tell this
>> the agent. But the agent can not influence the generation and deletion
>> of groups at all, i.e. the agent depends fully on the "grace" of the
>> middlebox.
>> I don't know if an agent will be able to request groups on its own with
>> an appropriate PIP defintion.
>>
>>
>>> the use of the HANDLE STATE.  My understanding is that this is something
>>> already defined for COPS. So, I propose to leave this one as it is.
>>>
>>> Mary.
>>>
>>> -----Original Message-----
>>> From: Martin Stiemerling [mailto:[email-masked]]
>>> Sent: Monday, June 24, 2002 7:23 AM
>>> To: [email-masked]
>>> Subject: [midcom] Protocol Eval: 2.2.3 Ruleset Groups
>>>
>>>
>>> - COPS
>>> The MIDCOM grouping functionality can be build via a particular PIP
>>> defintion. The same is possible with SNMP, but SNMP got only a 'P+'.
>>> I.e. COPS should get 'P+' as well.
>>>
>>
>>
>> --
>> Martin Stiemerling
>>
>> NEC Europe Ltd. -- Network Laboratories  [email-masked]
>> IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de
>>
>> _______________________________________________
>> midcom mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/midcom

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom

---

From: "Mary Barnes" <[email-masked]>
Date: Fri, 28 Jun 2002 07:18:22 -0500

So, I'm assuming we can close this issue by changing the reference to "COPS"
in for requirement 2.2.3 to be specific to "COPS-PR".

Mary. 

-----Original Message-----
From: Aoun, Cedric [QPD:MA01:EXCH] 
Sent: Friday, June 28, 2002 1:51 AM
To: 'Juergen Quittek'; 'Martin Stiemerling'; Barnes, Mary
[NGC:B602:EXCH]
Cc: [email-masked]

Martin and Juergen,

-----Original Message-----
From: Juergen Quittek [mailto:[email-masked]]
Sent: 27 June 2002 16:57
To: Aoun, Cedric [QPD:MA01:EXCH]; 'Martin Stiemerling'; Barnes, Mary
[NGC:B602:EXCH]
Cc: [email-masked]

Cedric,

    Juergen

synchronized
requirements.
PEP.
suggests

---

From: "Cedric Aoun" <[email-masked]>
Date: Fri, 28 Jun 2002 14:39:58 +0200

yes, this will close the issue on 2.2.3

-----Original Message-----
From: Barnes, Mary [NGC:B602:EXCH] 
Sent: 28 June 2002 14:18
To: Aoun, Cedric [QPD:MA01:EXCH]; 'Juergen Quittek'; 'Martin
Stiemerling'
Cc: [email-masked]'

Mary. 

-----Original Message-----
From: Aoun, Cedric [QPD:MA01:EXCH] 
Sent: Friday, June 28, 2002 1:51 AM
To: 'Juergen Quittek'; 'Martin Stiemerling'; Barnes, Mary
[NGC:B602:EXCH]
Cc: [email-masked]

Martin and Juergen,

-----Original Message-----
From: Juergen Quittek [mailto:[email-masked]]
Sent: 27 June 2002 16:57
To: Aoun, Cedric [QPD:MA01:EXCH]; 'Martin Stiemerling'; Barnes, Mary
[NGC:B602:EXCH]
Cc: [email-masked]

Cedric,

    Juergen

synchronized
requirements.
PEP.
suggests